--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: []

full_name: Sequel::Model::Associations::ManyToManyAssociationReflection
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: associated_key_alias
- !ruby/object:RI::MethodSummary 
  name: associated_key_column
- !ruby/object:RI::MethodSummary 
  name: associated_key_table
- !ruby/object:RI::MethodSummary 
  name: associated_object_keys
- !ruby/object:RI::MethodSummary 
  name: can_have_associated_objects?
- !ruby/object:RI::MethodSummary 
  name: default_associated_key_alias
- !ruby/object:RI::MethodSummary 
  name: default_join_table
- !ruby/object:RI::MethodSummary 
  name: default_left_key
- !ruby/object:RI::MethodSummary 
  name: default_right_key
- !ruby/object:RI::MethodSummary 
  name: eager_loader_key
- !ruby/object:RI::MethodSummary 
  name: eager_loading_use_associated_key?
- !ruby/object:RI::MethodSummary 
  name: need_associated_primary_key?
- !ruby/object:RI::MethodSummary 
  name: reciprocal
- !ruby/object:RI::MethodSummary 
  name: right_primary_key
- !ruby/object:RI::MethodSummary 
  name: right_primary_keys
- !ruby/object:RI::MethodSummary 
  name: select
name: ManyToManyAssociationReflection
superclass: AssociationReflection
